> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/gateway-manager/get-device-health/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Check if a specific Gateway connection is healthy GET https://example.itential.io/gateway_manager/v1/connections/{clusterId} Given the cluster ID of a gateway connection, this endpoint will return the health status of the device. Reference: https://docs.itential.com/itential-cloud/api-reference/gateway-manager/get-device-health ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `clusterId` (string, required) — The cluster Id of the specific gateway connection ## Response ### 200 The result of the device health status check returned from the device itself - `id` (string, optional) - `jsonrpc` (string, optional) - `result` (object, optional) - `reply` (string, optional) - `receiveTime` (integer, optional) - `status` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "id": "670fc09db12a3c6c180db1a7", "jsonrpc": "2.0", "result": { "reply": "Health test from GatewayManager" }, "receiveTime": 1729085597352, "status": "success" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/gateway_manager/v1/connections/clusterId" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/gateway_manager/v1/connections/clusterId'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/gateway_manager/v1/connections/clusterId" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/gateway_manager/v1/connections/clusterId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/gateway_manager/v1/connections/clusterId") .asString(); ``` ```php request('GET', 'https://example.itential.io/gateway_manager/v1/connections/clusterId'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/gateway_manager/v1/connections/clusterId"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/gateway_manager/v1/connections/clusterId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```